/*
 * KnuthMorrisPratt.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "KnuthMorrisPratt.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto KnuthMorrisPrattPrefixRankedBarTreePrefixRankedBarTree = registration::AbstractRegister < KnuthMorrisPratt, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarTree < > & > ( KnuthMorrisPratt::match );

auto KnuthMorrisPrattPrefixRankedBarTreePrefixRankedBarPattern = registration::AbstractRegister < KnuthMorrisPratt, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarPattern < > & > ( KnuthMorrisPratt::match );

auto KnuthMorrisPrattPrefixRankedTreePrefixRankedTree = registration::AbstractRegister < KnuthMorrisPratt, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedTree < > & > ( KnuthMorrisPratt::match );

auto KnuthMorrisPrattPrefixRankedTreePrefixRankedPattern = registration::AbstractRegister < KnuthMorrisPratt, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedPattern < > & > ( KnuthMorrisPratt::match );

} /* namespace exact */

} /* namespace arbology */
