/*
 * GenerateUpToLength.cpp
 *
 *  Created on: 22. 3. 2014
 *	  Author: Jan Travnicek
 */

#include "GenerateUpToLength.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace generate {

auto GenerateUpToLengthEpsilonFreeCFG = registration::AbstractRegister < GenerateUpToLength, ext::set < string::LinearString < > >, const grammar::EpsilonFreeCFG < > &, unsigned > ( GenerateUpToLength::generate );
auto GenerateUpToLengthGNF = registration::AbstractRegister < GenerateUpToLength, ext::set < string::LinearString < > >, const grammar::GNF < > &, unsigned > ( GenerateUpToLength::generate );
auto GenerateUpToLengthCNF = registration::AbstractRegister < GenerateUpToLength, ext::set < string::LinearString < > >, const grammar::CNF < > &, unsigned > ( GenerateUpToLength::generate );
auto GenerateUpToLengthLeftRG = registration::AbstractRegister < GenerateUpToLength, ext::set < string::LinearString < > >, const grammar::LeftRG < > &, unsigned > ( GenerateUpToLength::generate );
auto GenerateUpToLengthRightRG = registration::AbstractRegister < GenerateUpToLength, ext::set < string::LinearString < > >, const grammar::RightRG < > &, unsigned > ( GenerateUpToLength::generate );

} /* namespace generate */

} /* namespace grammar */

