#ifndef GRAMMAR_PROPERTIES_TEST_H_
#define GRAMMAR_PROPERTIES_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GrammarPropertiesTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( GrammarPropertiesTest );
  CPPUNIT_TEST( testUnitRules );
  CPPUNIT_TEST( testNullable );
  CPPUNIT_TEST( testRecursive );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testUnitRules();
  void testNullable();
  void testRecursive();
};

#endif /* GRAMMAR_PROPERTIES_TEST_H_ */
