#ifndef GRAMMAR_LEFT_RECURSION_REMOVER_TEST_H_
#define GRAMMAR_LEFT_RECURSION_REMOVER_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GrammarLeftRecursionRemoverTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( GrammarLeftRecursionRemoverTest );
  CPPUNIT_TEST( testRemoveLefRecursion1 );
  CPPUNIT_TEST( testRemoveLefRecursion2 );
  CPPUNIT_TEST( testRemoveLefRecursion3 );
  CPPUNIT_TEST( testRemoveLefRecursion4 );
  CPPUNIT_TEST( testRemoveLefRecursion5 );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testRemoveLefRecursion1();
  void testRemoveLefRecursion2();
  void testRemoveLefRecursion3();
  void testRemoveLefRecursion4();
  void testRemoveLefRecursion5();
};

#endif /* GRAMMAR_LEFT_RECURSION_REMOVER_TEST_H_ */
