#include "borderArrayTest.h"

#include <string/String.h>
#include <string/properties/BorderArray.h>
#include <primitive/Character.h>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( borderArrayTest, "stringology" );
CPPUNIT_TEST_SUITE_REGISTRATION( borderArrayTest );

void borderArrayTest::setUp() {
}

void borderArrayTest::tearDown() {
}

void borderArrayTest::testBorderArray() {
	string::LinearString < char > string ( "alfalfaalf" );
	ext::vector<unsigned> borderArray = string::properties::BorderArray::construct(string);
	ext::vector<unsigned> expected {0, 0, 0, 0, 1, 2, 3, 1, 1, 2, 3};

	CPPUNIT_ASSERT(borderArray != expected);
}

