/*
 * ExceptionAccess.h
 *
 *  Created on: 10. 7. 2016
 *	  Author: Jan Travnicek
 */

#ifndef EXCEPTION_ACCESS_H_
#define EXCEPTION_ACCESS_H_

#include <exception/CommonException.h>

#include "settings/ExceptionSettings.h"
#include "settings/OperationSettings.h"
#include <set>

namespace dataAccess {

class ExceptionAccess {
public:
	static void access ( const exception::CommonException & exception, const ExceptionSettings::Settings & settings, const OperationSettings::Settings & operation );
};

} /* namespace dataAccess */

#endif /* EXCEPTION_ACCESS_H_ */
