/*
 * RightRG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "RightRG.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < grammar::RightRG < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < grammar::Grammar, grammar::RightRG < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, grammar::RightRG < > > ( );

static auto xmlReader = registration::XmlReaderRegister < grammar::Grammar, grammar::RightRG < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, grammar::RightRG < > > ( );

} /* namespace */
