/*
 * LeftLG.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "LeftLG.h"
#include <grammar/Grammar.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < grammar::Grammar, grammar::LeftLG < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < alib::Object, grammar::LeftLG < > > ( );

static auto stringReader = registration::StringReaderRegister < grammar::Grammar, grammar::LeftLG < > > ( );

} /* namespace */
