/*
 * CFG.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "AnyObject.h"
#include <object/Object.h>
#include <primitive/string/Unsigned.h>
#include <container/string/ObjectsPair.h>
#include <container/string/ObjectsSet.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite1 = registration::StringWriterRegister < alib::Object, alib::AnyObject < ext::set < alib::Object > > > ( );
static auto stringWrite2 = registration::StringWriterRegister < alib::Object, alib::AnyObject < ext::pair < alib::Object, alib::Object > > > ( );
static auto stringWrite3 = registration::StringWriterRegister < alib::Object, alib::AnyObject < unsigned > > ( );
static auto stringWrite4 = registration::StringWriterRegister < alib::Object, alib::AnyObject < ext::pair < unsigned, unsigned > > > ( );

} /* namespace */
