/*
 * ObjectsTree.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsTree.h"
#include <container/Container.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < container::Container, container::ObjectsTree < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, container::ObjectsTree < > > ( );

static auto xmlReader = registration::XmlReaderRegister < container::Container, container::ObjectsTree < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, container::ObjectsTree < > > ( );

} /* namespace */
