/*
 * AutomataConcatenation.cpp
 *
 *  Created on: 20. 11. 2014
 *	  Author: Tomas Pecka
 */

#include "AutomataConcatenation.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace transform {

auto AutomataConcatenationNFA = registration::AbstractRegister < AutomataConcatenation, automaton::NFA < >, const automaton::NFA < > &, const automaton::NFA < > & > ( AutomataConcatenation::concatenation );
auto AutomataConcatenationDFA = registration::AbstractRegister < AutomataConcatenation, automaton::NFA < >, const automaton::DFA < > &, const automaton::DFA < > & > ( AutomataConcatenation::concatenation );

} /* namespace transform */

} /* namespace automaton */
