/*
 * NormalizeTreeLabels.cpp
 *
 *  Created on: 10. 5. 2017
 *      Author: Aleksandr Shatrovskii
 */

#include "NormalizeTreeLabels.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

auto NormalizeTreeLabelsRankedTree = registration::AbstractRegister < NormalizeTreeLabels, tree::RankedTree < unsigned, DefaultRankType >, const tree::RankedTree < > & > ( NormalizeTreeLabels::normalize );

} /* namespace tree */
