/*
 * DFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "DFA.h"
#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::DFA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::Automaton, automaton::DFA < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, automaton::DFA < > > ( );

static auto xmlReader = registration::XmlReaderRegister < automaton::Automaton, automaton::DFA < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, automaton::DFA < > > ( );

} /* namespace */
