/*
 * StringWriterRegistry.cpp
 *
 *  Created on: 28. 8. 2017
 *	  Author: Jan Travnicek
 */

#include <abstraction/StringWriterRegistry.hpp>

namespace abstraction {

std::shared_ptr < abstraction::OperationAbstraction > StringWriterRegistry::getAbstraction ( const std::string & param ) {
	auto type = getEntries ( ).find ( param );
	if ( type == getEntries ( ).end ( ) )
		throw exception::CommonException ( "Entry " + param + " not available." );

	return type->second->getAbstraction ( );
}

} /* namespace abstraction */
