/*
 * EpsilonNFA.cpp
 *
 * Created on: Sep 26, 2017
 * Author: Jan Travnicek
 */

#include "EpsilonNFA.h"
#include <automaton/Automaton.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < automaton::Automaton, automaton::EpsilonNFA < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < alib::Object, automaton::EpsilonNFA < > > ( );

static auto stringReader = registration::StringReaderRegister < automaton::Automaton, automaton::EpsilonNFA < > > ( );

} /* namespace */
